Bug 135101 - perl should BuildRequires: groff
perl should BuildRequires: groff
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-08 12:52 EDT by Maxim Dziumanenko
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.8.5-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 08:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2004-10-08 12:52:44 EDT
Description of problem:
if groff is uninstalled during perl build, file
/usr/lib/perl5/5.8.5/i386-linux-thread-multi/Config.pm	
contains:

installman1dir=''
installman3dir=''
...
installsiteman1dir=''
installsiteman3dir=''
...
installvendorman1dir=''
installvendorman3dir=''
...


instead of:

installman1dir='/usr/share/man/man1'
installman3dir='/usr/share/man/man3'
...
installsiteman1dir='/usr/share/man/man1'
installsiteman3dir='/usr/share/man/man3'
...
installvendorman1dir='/usr/share/man/man1'
installvendorman3dir='/usr/share/man/man3'
...

This perl package can not install man pages.

Version-Release number of selected component (if applicable):
perl-5.8.5-4

How reproducible:
Always

Steps to Reproduce:
1.rpm -e groff
2.rpmbuild --rebuild perl-5.8.5-4.src.rpm
3.rpm -i perl-5.8.5-4.i386.rpm --force
4.rpmbuild --rebuild mod_perl-1.99_12-3.src.rpm
5.Wait for build error 
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2004-10-11 08:56:26 EDT
Fixed in CVS; will be picked up by next build.

Note You need to log in before you can comment on or make changes to this bug.